#!/bin/bash
# Syncplify.me AFT! installation script
# Fresh install functions

do_remove_keep_conf() {
	echo

	if service_exists syncplify-me-aft; then
	  echo "AFT! service found, stopping it..."
	  sudo systemctl disable syncplify-me-aft
	  sudo systemctl stop syncplify-me-aft
	  sleep 0.5
	  echo "AFT! service stopped"
	fi

	echo "Removing main executable file and setup scripts..."
	sudo rm /usr/bin/syncplify-me-aft
	sudo rm -r -f /usr/bin/syncplify-me-aft-setup

	echo "Removing service descriptor..."
	sudo rm /etc/systemd/system/syncplify-me-aft.service

	sleep 0.5
	echo "DONE"
	echo
}
